/* message format for testing the PHY_RADIO -- high speed physical layer */

#ifndef PHY_TEST_MSG
#define PHY_TEST_MSG

// include physical layer header defination
#include "phy_radio_msg.h"

typedef struct {
	PhyHeader hdr;   // include lower-layer header first
	unsigned char seqNo;
} AppHeader;
/* AppHeader should be the same as the sender */

typedef struct {
	AppHeader hdr;
	char data[20];
	short crc;   // crc must be the last field -- required by PHY_RADIO
} AppPkt;

#endif
